---@meta

---@class UWG_PauseMenu_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_VersionLabel UWG_VersionLabel_C
---@field ResumeButton UWG_MenuButton_C
---@field RestartFromCheckpoint UWG_MenuButton_C
---@field QuitToMainMenuButton UWG_MenuButton_C
---@field QuitButton UWG_MenuButton_C
---@field PlayerList URGListView
---@field OptionsButton UWG_MenuButton_C
---@field InviteButton UWG_MenuButton_C
---@field bHAXX_DisabledVehicleHUDOnActivation boolean
local UWG_PauseMenu_C = {}

---@param VehicleHUD UWG_VehicleHUD_C
function UWG_PauseMenu_C:GetVehicleHUD(VehicleHUD) end
---@param OldPlayerState APlayerState
function UWG_PauseMenu_C:OnPlayerRemoved(OldPlayerState) end
---@param NewPlayerState APlayerState
function UWG_PauseMenu_C:OnPlayerAdded(NewPlayerState) end
function UWG_PauseMenu_C:PopulatePlayerList() end
---@return boolean
function UWG_PauseMenu_C:BP_OnHandleBackAction() end
---@return FUIInputConfig
function UWG_PauseMenu_C:BP_GetDesiredInputConfig() end
function UWG_PauseMenu_C:Construct() end
function UWG_PauseMenu_C:BP_OnActivated() end
function UWG_PauseMenu_C:BP_OnDeactivated() end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_QuitToMainMenuButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_QuitButton_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
function UWG_PauseMenu_C:OnAccept() end
---@param Widget UCommonActivatableWidget
function UWG_PauseMenu_C:CustomEvent(Widget) end
function UWG_PauseMenu_C:Confirmed() end
---@param Widget UCommonActivatableWidget
function UWG_PauseMenu_C:QuitToMainMenu(Widget) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_OptionsButton_K2Node_ComponentBoundEvent_2_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Widget UCommonActivatableWidget
function UWG_PauseMenu_C:InitOptions(Widget) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_ResumeButton_K2Node_ComponentBoundEvent_4_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_InviteButton_K2Node_ComponentBoundEvent_3_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_RestartFromCheckpoint_K2Node_ComponentBoundEvent_5_CommonButtonBaseClicked__DelegateSignature(Button) end
function UWG_PauseMenu_C:RestartAccepted() end
---@param Widget UCommonActivatableWidget
UWG_PauseMenu_C['RestartFromLastCheckpoint?'] = function(self, Widget) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_ResumeButton_K2Node_ComponentBoundEvent_6_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_RestartFromCheckpoint_K2Node_ComponentBoundEvent_7_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_QuitToMainMenuButton_K2Node_ComponentBoundEvent_8_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_QuitButton_K2Node_ComponentBoundEvent_9_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_OptionsButton_K2Node_ComponentBoundEvent_10_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PauseMenu_C:BndEvt__WG_PauseMenu_InviteButton_K2Node_ComponentBoundEvent_11_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param EntryPoint int32
function UWG_PauseMenu_C:ExecuteUbergraph_WG_PauseMenu(EntryPoint) end


